=== debian/changelog ===
qmidictl (1.0.2-5.1) unstable; urgency=low

  * An Early Spring'25 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 31 Mar 2025 20:00:00 +0100

qmidictl (1.0.1-4.1) unstable; urgency=low

  * An Early-Fall'24 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 28 Sep 2024 18:00:00 +0100

qmidictl (1.0.0-1.1) unstable; urgency=low

  * An Unthinkable release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 19 Jun 2024 18:00:00 +0100
